Add address to a debtor
import requests
url = "https://api.paywise.de/v1/debtors/{id}/addresses/"
payload = {
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({street: '<string>', zip: '<string>', city: '<string>'})
};
fetch('https://api.paywise.de/v1/debtors/{id}/addresses/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/{id}/addresses/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"street\": \"<string>\",\n \"zip\": \"<string>\",\n \"city\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/{id}/addresses/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"street\": \"<string>\",\n \"zip\": \"<string>\",\n \"city\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/{id}/addresses/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}debtors
Add address to a debtor
Add an address to an existing debtor.
POST
/
v1
/
debtors
/
{id}
/
addresses
/
Add address to a debtor
import requests
url = "https://api.paywise.de/v1/debtors/{id}/addresses/"
payload = {
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({street: '<string>', zip: '<string>', city: '<string>'})
};
fetch('https://api.paywise.de/v1/debtors/{id}/addresses/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/v1/debtors/{id}/addresses/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"street\": \"<string>\",\n \"zip\": \"<string>\",\n \"city\": \"<string>\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v1/debtors/{id}/addresses/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"street\": \"<string>\",\n \"zip\": \"<string>\",\n \"city\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/v1/debtors/{id}/addresses/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
'{
"href": "<string>",
"acting_as": "consumer",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>",
"country": "AF"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"type": "email",
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"type": "user:reference",
"value": "<string>"
}
],
"events": [
{
"type": "registration",
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}Authorizations
tokenAuthtokenAuth
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
The country, formatted as two letter ISO-3166-1 country code.
AF- AfghanistanEG- ÄgyptenAX- Åland-InselnAL- AlbanienDZ- AlgerienAS- Amerikanisch-SamoaVI- Amerikanische JungferninselnAD- AndorraAO- AngolaAI- AnguillaAQ- AntarktisAG- Antigua und BarbudaGQ- ÄquatorialguineaAR- ArgentinienAM- ArmenienAW- ArubaAZ- AserbaidschanET- ÄthiopienAU- AustralienBS- BahamasBH- BahrainBD- BangladeschBB- BarbadosBE- BelgienBZ- BelizeBJ- BeninBM- BermudaBT- BhutanBO- BolivienBQ- Bonaire, Sint Eustatius und SabaBA- Bosnien und HerzegowinaBW- BotswanaBV- BouvetinselBR- BrasilienVG- Britische JungferninselnIO- Britisches Territorium im Indischen OzeanBN- BruneiBG- BulgarienBF- Burkina FasoBI- BurundiCL- ChileCN- ChinaMP- Commonwealth der Nördlichen MarianenCK- CookinselnCR- Costa RicaCI- Côte d'IvoireCW- CuraçaoDK- DänemarkDE- DeutschlandDM- DominicaDO- Dominikanische RepublikDJ- DschibutiEC- EcuadorSV- El SalvadorER- EritreaEE- EstlandFK- Falklandinseln (Malwinen)FO- FaröerinselnFJ- FidschiFI- FinnlandFR- FrankreichGF- Französisch GuineaPF- Französisch-PolynesienTF- Französische Süd- und AntarktisgebieteGA- GabunGM- GambiaGE- GeorgienGH- GhanaGI- GibraltarGD- GranadaGR- GriechenlandGL- GrönlandGP- GuadeloupeGU- GuamGT- GuatemalaGG- GuernseyGN- GuineaGW- Guinea-BissauGY- GuyanaHT- HaitiHM- Heard und McDonaldinselnHN- HondurasHK- Hong KongIN- IndienID- IndonesienIQ- IrakIR- IranIE- IrlandIS- IslandIM- Isle of ManIL- IsraelIT- ItalienJM- JamaikaJP- JapanYE- JemenJE- JerseyJO- JordanienKY- KaimaninselnKH- KambodschaCM- KamerunCA- KanadaCV- Kap VerdeKZ- KasachstanQA- KatarKE- KeniaKG- KirgisistanKI- KirivatiCC- Kokosinseln (Keelinginseln)CO- KolumbienKM- KomorenCG- KongoCD- Kongo (Demokratische Republik)HR- KroatienCU- KubaKW- KuwaitLA- LaosLS- LesothoLV- LettlandLB- LibanonLR- LiberiaLY- LibyenLI- LiechtensteinLT- LitauenLU- LuxemburgMO- MacaoMG- MadagaskarMW- MalawiMY- MalaysiaMV- MaledivenML- MaliMT- MaltaMA- MarokkoMH- MarshallinselnMQ- MartiniqueMR- MauretanienMU- MauritiusYT- MayotteMK- MazedonienMX- MexikoFM- Mikronesien (Föderierte Staaten von)MD- MoldawienMC- MonacoMN- MongoleiME- MontenegroMS- MontserratMZ- MozambiqueMM- MyanmarNA- NamibiaNR- NauruNP- NepalNC- NeukaledonienNZ- NeuseelandNI- NicaraguaNL- NiederlandeNE- NigerNG- NigeriaNU- NiueKP- NordkoreaNF- NorfolkinselNO- NorwegenOM- OmanAT- ÖsterreichTL- OsttimorPK- PakistanPS- PalästinaPW- PalauPA- PanamaPG- Papua Neu GuineaPY- ParaguayPE- PeruPH- PhilippinenPN- PitcairnPL- PolenPT- PortugalPR- Puerto RicoRE- RéunionRW- RuandaRO- RumänienRU- RusslandBL- Saint-BarthélemyPM- Saint-Pierre und MiquelonSB- SalomonenZM- SambiaWS- SamoaSM- San MarinoST- São Tomé und PríncipeSA- Saudi ArabienSE- SchwedenCH- SchweizSN- SenegalRS- SerbienSC- SeychellenSL- Sierra LeoneZW- SimbabweSG- SingapurSX- Sint Maarten (niederländischer Teil)SK- SlowakeiSI- SlowenienSO- SomaliaES- SpanienSJ- Spitzbergen und Jan MayenLK- Sri LankaSH- St. Helena, Ascension und Tristan da CunhaKN- St. Kitts und NevisLC- St. LuciaMF- St. Martin (französischer Teil)VC- St. Vincent und die GrenadinenZA- SüdafrikaSD- SudanGS- Südgeorgien und die Südlichen SandwichinselnKR- SüdkoreaSS- SüdsudanSR- SurinamSZ- SwasilandSY- SyrienTJ- TadschikistanTW- TaiwanTZ- TansaniaTH- ThailandTG- TogoTK- TokelauTO- TongaTT- Trinidad und TobagoTD- TschadCZ- TschechienTN- TunesienTR- TürkeiTM- TurkmenistanTC- Turks- und CaicosinselnTV- TuvaluUM- USA - Sonstige Kleine InselnUG- UgandaUA- UkraineHU- UngarnUY- UruguayUZ- UsbekistanVU- VanuatuVA- VatikanstadtVE- VenezuelaAE- Vereinigte Arabische EmirateUS- Vereinigte Staaten von AmerikaGB- Vereinigtes KönigreichVN- VietnamWF- Wallis und FutunaCX- WeihnachtsinselBY- WeißrusslandEH- WestsaharaCF- Zentralafrikanische RepublikCY- Zypern
Available options:
AF, EG, AX, AL, DZ, AS, VI, AD, AO, AI, AQ, AG, GQ, AR, AM, AW, AZ, ET, AU, BS, BH, BD, BB, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, VG, IO, BN, BG, BF, BI, CL, CN, MP, CK, CR, CI, CW, DK, DE, DM, DO, DJ, EC, SV, ER, EE, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, GH, GI, GD, GR, GL, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, IN, ID, IQ, IR, IE, IS, IM, IL, IT, JM, JP, YE, JE, JO, KY, KH, CM, CA, CV, KZ, QA, KE, KG, KI, CC, CO, KM, CG, CD, HR, CU, KW, LA, LS, LV, LB, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MA, MH, MQ, MR, MU, YT, MK, MX, FM, MD, MC, MN, ME, MS, MZ, MM, NA, NR, NP, NC, NZ, NI, NL, NE, NG, NU, KP, NF, NO, OM, AT, TL, PK, PS, PW, PA, PG, PY, PE, PH, PN, PL, PT, PR, RE, RW, RO, RU, BL, PM, SB, ZM, WS, SM, ST, SA, SE, CH, SN, RS, SC, SL, ZW, SG, SX, SK, SI, SO, ES, SJ, LK, SH, KN, LC, MF, VC, ZA, SD, GS, KR, SS, SR, SZ, SY, TJ, TW, TZ, TH, TG, TK, TO, TT, TD, CZ, TN, TR, TM, TC, TV, UM, UG, UA, HU, UY, UZ, VU, VA, VE, AE, US, GB, VN, WF, CX, BY, EH, CF, CY Response
201 - application/json
